Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Class SSLSessionBindingEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--javax.net.ssl.SSLSessionBindingEvent

public class SSLSessionBindingEvent
extends EventObject

This event is communicated to a SSLSessionBindingListener whenever such a listener is bound to or unbound from a SSLSession value. The event's source is the SSLSession to which the listener is being bound, or from which the listener is being unbound.

See Also:
  Serialized Form

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SSLSessionBindingEvent(SSLSession session, String name)` Constructs a new SSLSessionBindingEvent

Method Summary
`String` | `getName()` Returns the name to which the object is being bound, or the name from which the object is being unbound.
`SSLSession` | `getSession()` Returns the SSLSession into which the listener is being bound or from which the listener is being unbound.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SSLSessionBindingEvent

    public SSLSessionBindingEvent(SSLSession session,
                                  String name)

  Constructs a new SSLSessionBindingEvent
  Parameters:
    `session` - the SSLSession acting as the source of the event

Method Detail

### getName

    public String getName()

  Returns the name to which the object is being bound, or the name from which the object is being unbound.

### getSession

    public SSLSession getSession()

  Returns the SSLSession into which the listener is being bound or from which the listener is being unbound.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD